//-----------------------------------------------------
// Pic Pack library
// 
// simon_lights.h
//
// Lights for the Simon game
//
// Ian Harris 2009
// imharris [at] gmail.com
//
// Released under the "do whatever you like with this
// but if it breaks, you get to keep both pieces.
//-----------------------------------------------------

#include "pic_utils.h"

/**
Note that all on is red, blue, green and yellow.
All flash is red, blue green and yellow 
*/

enum _enum_lights_state {
	LT_ALL_OFF = 0,
	LT_ALL_ON,
	LT_RED,
	LT_BLUE,
	LT_GREEN,
	LT_YELLOW,
	LT_WHITE,
	LT_CYCLE,
	LT_RED_FLASH,
	LT_BLUE_FLASH,
	LT_GREEN_FLASH,
	LT_YELLOW_FLASH,
	LT_WHITE_FLASH,
	LT_ALL_FLASH,
};

typedef enum _enum_lights_state enum_lights_state;

void simon_lights_set(enum_lights_state req_state);
void simon_lights_flash();
void simon_lights_setup_io();


