/*

Copyright (c) 2010, Embedded Adventures, www.embeddedadventures.com
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice,
  this list of conditions and the following disclaimer.

- Redistributions in binary form must reproduce the above copyright
  notice, this list of conditions and the following disclaimer in the
  documentation and/or other materials provided with the distribution.

- Neither the name of Embedded Adventures nor the names of its contributors
  may be used to endorse or promote products derived from this software
  without specific prior written permission.
 
THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN 
CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF 
THE POSSIBILITY OF SUCH DAMAGE.

Contact us at admin@embeddedadventures.com

*/

/*! \file platform.h
    \brief Platform definitions
	
*/


#ifndef __platform_h
#define __platform_h

/** Sure Electronics PicDem 2 demo board */
#define SURE_PICDEM_2 1
/** Standard Olimex board */
#define OLIMEX_BOARD  2
/** SparkFun RF Terminal Development Node */
#define SFE_TDN_V1    3
/** Tech Toys HK Pic 18f4550 Eval Dev 4a */
#define TECH_TOYS_PIC18F4550 4
/** Olimex PIC LCD with Nokia 3310 LCD dispaly */
#define OLIMEX_PIC_LCD3310 5
/** Schmartboard */
#define SCHMARTBOARD 6
/** EA Clock board */
#define EA_LED_PANEL_DRIVER 7
#define EA_PLT1001 7
#define EA_PLT_1001 7
/** EA wireless temp sensor board */
#define EA_WIRELESS_TEMP_SENSOR 8
#define EA_PLT1002 8
#define EA_PLT_1002 8
/** EA weather station*/
#define EA_WEATHER_STATION 9
/** EA USB2TTL board */
#define EA_USB2SERIAL	10
#define EA_PLT1003  10
#define EA_PLT_1003 10





#endif
