#ifndef __config_h
#define __config_h
#include "platform.h"

// - - - - - - - - - - - - - - - - - - - - 
// pic_serial defines
// - - - - - - - - - - - - - - - - - - - - 

#define SERIAL_TX_BUFFER_SIZE 16
#define SERIAL_RX_BUFFER_SIZE 4
//#define SERIAL_DEBUG_ON

// - - - - - - - - - - - - - - - - - - - - 
// somo_14d defines
// - - - - - - - - - - - - - - - - - - - - 

#define somo_14d_clk_port PORTA
#define somo_14d_clk_pin 1

#define somo_14d_data_port PORTA
#define somo_14d_data_pin 0

// don't define these if you don't want to use them

#define somo_14d_reset_port PORTA
#define somo_14d_reset_pin 3

#define somo_14d_busy_port PORTA
#define somo_14d_busy_pin 4

// - - - - - - - - - - - - - - - - - - - - 


// - - - - - - - - - - - - - - -
// General platform definitions
// - - - - - - - - - - - - - - -
#define PLATFORM_TYPE OLIMEX_BOARD
#define PLATFORM_CLOCK 40000000


#endif